from markdown_it import MarkdownIt
from bs4 import BeautifulSoup
from .base_parser import BaseParser

class MDParser(BaseParser):

    def parser(self, file_path) -> str:
        with open(file_path, 'r', encoding='utf-8') as file:
            md_content = file.read()
        md = MarkdownIt()
        html = md.render(md_content)

        soup = BeautifulSoup(html, 'html.parser')
        text = soup.get_text(separator=' ')
        text = ''.join(text.split())
        return [text]


if __name__ == '__main__':
    md_parser = MDParser()
    html_content = md_parser.parser('/usr/share/kylin-user-guide/data/guide/kylin-weather/zh_CN/index.md')
    print(html_content)
